import { TransactionLineBaseComponent } from '../core/base/transaction-line-base.component';
export declare class TransactionLineAmountComponent extends TransactionLineBaseComponent {
    inputLabel: boolean;
    showClass(): boolean;
    localAmount: number;
    isReturn: boolean;
    isImportFromCatalog: boolean;
    protected commit: (amount: number) => Promise<boolean>;
    protected cancelCommit(): void;
    transactionLineSet(): Promise<void>;
    transactionInfoSet(): Promise<void>;
    private _setIsImportFromExternalCatalog;
}
